#
# spec file for package glib
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           glib
# bug437293
%ifarch ppc64
Obsoletes:      glib-64bit
%endif
# /bug437293
Version:        1.2.10
Release:        1.1
Summary:        The Utility Functions for Gtk
License:        LGPL-2.1+
Group:          System/Libraries
Source:         glib-%{version}.tar.bz2
Source99:       baselibs.conf
# PATCH-FIX-UPSTREAM glib-1.2.10.dif
Patch0:         glib-%{version}.dif
# PATCH-FIX-UPSTREAM glib-1.2.10-gcc34.patch
Patch1:         glib-%{version}-gcc34.patch
# PATCH-FIX-UPSTREAM glib-sentinel.patch
Patch2:         glib-sentinel.patch
# PATCH-FIX-UPSTREAM glib-self-contained.patch
Patch3:         glib-self-contained.patch
# PATCH-FIX-UPSTREAM glib-shift.patch
Patch4:         glib-shift.patch
# PATCH-FIX-UPSTREAM glib-autotools.patch
Patch5:         glib-autotools.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A library of utility functions for Gtk.

%package devel
Summary:        Development libraries and header files for using the GLib library
Group:          Development/Libraries/C and C++
Obsoletes:      glibdev
Provides:       glibdev
# bug437293
%ifarch ppc64
Obsoletes:      glib-devel-64bit
%endif
# /bug437293
Requires(pre):  %install_info_prereq
Requires:       %{name} = %{version}
Requires:       glibc-devel

%description devel
This package contains all necessary include files and libraries needed
to compile and link applications which use the Glib library which
provides utility functions for Gtk.

%prep
%setup -q
%patch0
%patch1 -p1
%patch2 -p1
%patch3
%patch4
%patch5 -p1

%build
rm acinclude.m4
autoreconf -f -i
%configure --disable-static --with-pic
make | tee make.log
# Fix linking, so resulting library can be prelinked (#50796).
cd gthread
$(fgrep -- "-o libgthread.la" ../make.log) ../libglib.la
cd ..

%install
make DESTDIR=%{buildroot} install
# for whatever reason libgmodule is 644
chmod a+x %{buildroot}%{_libdir}/*.so.*
rm %{buildroot}%{_infodir}/dir
%if 0%{?suse_version} > 1110
rm -f %{buildroot}%{_libdir}/*.la
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
%install_info --info-dir=%{_infodir} %{_infodir}/glib.info.gz

%postun devel
%install_info_delete --info-dir=%{_infodir} %{_infodir}/glib.info.gz

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS ChangeLog
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/glib-config
%{_includedir}/*
%doc %{_infodir}/glib.info*
%if 0%{?suse_version} <= 1110
%{_libdir}/*.la
%endif
%{_libdir}/*.so
%{_libdir}/glib
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
%doc %{_mandir}/man1/glib-config.1*

%changelog
* Sat Jan 19 2013 joop.boonen@opensuse.org
- Cleaned the spec file up
* Wed Jul 18 2012 sbrabec@suse.cz
- Fix for new autotools.
- Update BuildRequires.
* Wed Oct 27 2010 sbrabec@suse.cz
- Added pkg-config to BuildRequires to provide pkgconfig(glib).
* Thu Dec 17 2009 jengelh@medozas.de
- Add baselibs.conf as a source
* Wed Apr 22 2009 vuntz@novell.com
- Keep .la files for openSUSE <= 11.1.
* Fri Apr 17 2009 crrodriguez@suse.de
- remove static libraries and "la" files
* Wed Dec 10 2008 olh@suse.de
- use Obsoletes: -XXbit only for ppc64 to help solver during distupgrade
  (bnc#437293)
* Mon Nov 24 2008 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Thu Aug  2 2007 schwab@suse.de
- Fix undefined shift.
* Tue Jan 23 2007 ro@suse.de
- drop requires for gnome-filesystem
* Mon Jan 15 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan  9 2006 sbrabec@suse.cz
- Removed /opt/gnome/include/glibconfig.h (#141747).
* Wed Feb 16 2005 sbrabec@suse.cz
- Link gthread with glib to make it prelinkable (#50796).
* Mon Feb 14 2005 coolo@suse.de
- fixing permissions of .so files so rpm strips them
* Thu Jan 20 2005 meissner@suse.de
- Added sentinel markups for 2 varargs functions.
* Mon Mar 15 2004 sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Wed Mar 10 2004 sbrabec@suse.cz
- Fixed %%doc attributes (#33163).
* Fri Jan 16 2004 meissner@suse.de
- Fixed gcc3.4 problems (__PRETTY_FUNCTION__ is no longer
  a define, but a const string variable).
* Fri Jan  9 2004 schwab@suse.de
- Fix quoting in autoconf macros.
- Fix use of AC_CACHE_VAL.
* Mon Jan  5 2004 mmj@suse.de
- %%run_ldconfig
- glib-devel requires the corresponding glib version
- Don't build as root
* Tue Jul 15 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Tue Jul 15 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Mon Feb 10 2003 ke@suse.de
- Use install_info macro [# 23414].
* Wed Jan  8 2003 ro@suse.de
- fix configure.in
* Mon Nov 18 2002 ro@suse.de
- fix build with latest autoconf using trick from glib2
* Fri May 31 2002 meissner@suse.de
- regenerate libtool ac* for ppc64.
* Wed Feb  6 2002 coolo@suse.de
- use %%_libdir
* Wed Apr 11 2001 froh@suse.de
- added suse_update_config for the sake of s390 and the benefit of the
  others
* Mon Apr  2 2001 egger@suse.de
- Updated to version 1.2.10. Bugfix release.
* Sun Mar  4 2001 egger@suse.de
- Updated to the real version 1.2.9.
- Cleaned up specfile.
* Fri Mar  2 2001 ro@suse.de
- modified file-list for devel-package
* Fri Mar  2 2001 egger@suse.de
- Updated to version 1.2.9pre1.
* Thu Nov 30 2000 egger@suse.de
- Readded missing glibconfig.h link.
* Sun Nov 26 2000 egger@suse.de
- Reworked specfiles to use macros and wildcards.
- Add RPM Group Tag.
- Fixed compilation flags.
- Use BuildRoot.
* Wed Nov  1 2000 egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Thu May 25 2000 egger@suse.de
- Updated to 1.2.8.
- Replaced every occurence of 1.2.7 by %%{version}.
* Mon May 22 2000 egger@suse.de
- Fixes for the pickier buildsystem.
* Fri May 19 2000 egger@suse.de
- Remove deprecated documentation.
* Thu Apr  6 2000 ro@suse.de
- fixed libtool problem
* Wed Apr  5 2000 egger@suse.de
- Added --enable-shared to configure.
  (Strange, since S390 changes were made glib won't
  compile anymore because of auto* problems. Maybe
  it's just buildsystem again.)
* Tue Apr  4 2000 egger@suse.de
- Added autoconf and libtool to the requirements.
* Mon Apr  3 2000 egger@suse.de
- Added automake to the requirements since glib
  seems to require it now?!?
* Sat Apr  1 2000 bk@suse.de
- added required %%suse_update_config for s390
* Fri Feb 25 2000 ro@suse.de
- use the macros for configure
* Thu Feb 24 2000 egger@suse.de
- it's getting silly, now I added a wildcard
  to info and man files which sometimes are
  automatically compressed and sometimes not!
  note: this only depends on building
    in a current (ie STABLE) environment
* Wed Feb 23 2000 egger@suse.de
- use %%doc tag for a hopeful better building
  on ALL systems
* Sun Feb 20 2000 egger@suse.de
- changed variable to hardcoded value to ensure building
* Thu Feb 17 2000 fehr@suse.de
- changed to version 1.2.7
* Mon Oct 11 1999 fehr@suse.de
- changed to version 1.2.6
* Wed Sep 29 1999 fehr@suse.de
- changed to version 1.2.5
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 fehr@suse.de
- changed to version 1.2.4
* Tue Jul 13 1999 ro@suse.de
- package renamed to glib/glibdev
* Tue May 18 1999 fehr@suse.de
- changed to version 1.2.3
* Fri Mar 26 1999 fehr@suse.de
- changed to version 1.2.1
* Thu Mar 18 1999 fehr@suse.de
- add html documentation to package
* Mon Mar  1 1999 fehr@suse.de
- changed to version 1.2.0
* Wed Feb 17 1999 fehr@suse.de
- changed to version 1.1.16
* Fri Feb  5 1999 fehr@suse.de
- changed to version 1.1.15
* Fri Jan 29 1999 fehr@suse.de
- changed to version 1.1.14
* Tue Jan 19 1999 fehr@suse.de
- changed to version 1.1.13
* Sat Jan  9 1999 fehr@suse.de
- changed to version 1.1.12
* Mon Jan  4 1999 fehr@suse.de
- changed to version 1.1.11
* Tue Dec 22 1998 fehr@suse.de
- changed to version 1.1.9
* Tue Nov 17 1998 ro@suse.de
- set executable for libs (so ldd/ldconfig shut up)
* Mon Oct 26 1998 fehr@suse.de
- changed to version 1.1.4
* Fri Oct 23 1998 fehr@suse.de
- move .so files to dev package
- rename rpm file to glibn/glibndev
* Mon Oct 19 1998 fehr@suse.de
- add version 1.1.3 of glib as a separate package
